namespace PkmnLib.Plugin.Gen7.Scripts.Side;

[Script(ScriptCategory.Side, "lunar_dance")]
public class LunarDanceEffect(byte position) : Script, IScriptOnSwitchIn
{
    /// <inheritdoc />
    public void OnSwitchIn(IPokemon pokemon, byte position1)
    {
        if (position != position1)
            return;

        pokemon.Heal(pokemon.MaxHealth);
        pokemon.RestoreAllPP();
        pokemon.ClearStatus();
        RemoveSelf();
    }
}